petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscVSNPrintf

The PETSc version of vsnprintf(). Converts a PETSc format string into a standard C format string and then puts all the function arguments into a string using the format statement.

### Synopsis

    PetscErrorCode  PetscVSNPrintf(char *str,size_t len,const char *format,size_t *fullLength,va_list Argp)

### Input Parameters

| str | - location to put result Many br
| len | - the amount of space in str Many br+ format - the PETSc format string Many br
| fullLength | - the amount of space in str actually used. Many br

Developer Notes: this function may be called from an error handler, if an error occurs when it is called by the error handler than likely Many bra recursion will occur and possible crash. Many br

Many br

Level:developer
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages